To run these experiments, install required packages from requirements.txt. Run on GPUs  with CUDA 10.0  and Python3.6 (for different versions one has to change the version of `jaxlib` installed).

The usage is:

`` python training.py --default_config=model param1=val1 param2=val2 ...``

default_config is one of fc, wrn_original, cnn_real . The allowed parameters are specified in `config.py` with `dic[param1]=default_val1` for the default values, and one can change the default values by sending them as arguments (without `--`). 

For example, to run some of the early time experiments for fully connected networks or WRN one would run the following for different learning rates. 

`python training.py -default_config=fc d=3 w=2048 lr=11.2  L2=0 measNTKspec=True  loss_type=mse train_steps=100 job_id=fc_earlytime  NTK_norm=True  meas_simple=False meas_freq=1`

`python training.py -default_config=wrn_original lr=0.1  L2=0 measNTKspec=True  loss_type=mse train_steps=100 job_id=wrn_earlytime  NTK_norm=False  meas_simple=False meas_freq=1 wrn_block_size=4 wrn_widening_f=10`
